DNSSD::DomainBrowser Class Reference

`#include <domainbrowser.h>`

Inherits QObject.

## Signals

void | domainRemoved (const QString &)
void | domainAdded (const QString &)

## Public Member Functions

| DomainBrowser (QObject *parent=0)
| DomainBrowser (const QStringList &domains, bool recursive=false, QObject *parent=0)
const QStringList & | domains () const
void | startBrowse ()
bool | isRunning () const

## Protected Member Functions

virtual void | virtual_hook (int, void *)

## Friends

class | DomainBrowserPrivate

## Detailed Description

Class used to provide current list of domains for browsing.

Author
  Jakub Stachowski

Definition at line 41 of file domainbrowser.h.

## Constructor & Destructor Documentation

DNSSD::DomainBrowser::DomainBrowser | ( | QObject * | parent = `0` | ) |

Standard constructor.

It takes all parameters from global configuration. All changes in configuration are applied immediately.

Parameters

  parent | Parent object.

Definition at line 60 of file domainbrowser.cpp.

DNSSD::DomainBrowser::DomainBrowser | ( | const QStringList & | domains,
|  | bool | recursive = `false`,
|  | QObject * | parent = `0`
| ) |  |

Constructor that creates browser for domain list.

This does not use global configuration at all.

Parameters

  domains | List of domains
  recursive | TRUE - additionally local network will be browsed for more domains
  parent | Parent object. This process is recursive.

Definition at line 72 of file domainbrowser.cpp.

## Member Function Documentation

void DNSSD::DomainBrowser::domainAdded | ( | const QString & |  | ) |

signal

New domain has been discovered.

Also emitted for domain specified in constructor and in global configuration

void DNSSD::DomainBrowser::domainRemoved | ( | const QString & |  | ) |

signal

Emitted when domain has been removed from browsing list.

const QStringList & DNSSD::DomainBrowser::domains | ( |  | ) | const

Current list of domains to browse.

Definition at line 137 of file domainbrowser.cpp.

bool DNSSD::DomainBrowser::isRunning | ( |  | ) | const

Returns true when browse has already started.

Definition at line 142 of file domainbrowser.cpp.

void DNSSD::DomainBrowser::startBrowse | ( |  | ) |

Starts browsing.

To stop destroy this object.

Definition at line 86 of file domainbrowser.cpp.

The documentation for this class was generated from the following files:

- domainbrowser.h
- domainbrowser.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys